<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activities.LoginActivity">


    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/txtUsername"
        android:layout_width="500dp"
        android:layout_height="70dp"
        android:layout_marginStart="70dp"
        android:layout_marginEnd="70dp"
        android:hint="Username"
        android:textColorHint="#A7A7A7"
        app:boxStrokeColor="#EAEAEE"
        app:layout_constraintBottom_toTopOf="@+id/txtPassword"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.461"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/username"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:textColor="#5B5B5B"
            android:textSize="20sp"
            android:textStyle="bold"
            android:maxLines="1"
            android:singleLine="true"
            android:imeOptions="actionNext"
            tools:ignore="TouchTargetSizeCheck" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/txtPassword"
        android:layout_width="500dp"
        android:layout_height="70dp"
        android:layout_marginBottom="84dp"
        android:hint="Password"
        android:textColorHint="#A7A7A7"
        app:boxStrokeColor="#EAEAEE"
        app:endIconMode="password_toggle"
        app:layout_constraintBottom_toTopOf="@+id/login_btn"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/password"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:textColor="#5B5B5B"
            android:textSize="20sp"
            android:textStyle="bold"
            android:inputType="textPassword"
            android:imeOptions="actionDone"
            tools:ignore="TouchTargetSizeCheck" />
    </com.google.android.material.textfield.TextInputLayout>

    <Button
        android:id="@+id/login_btn"
        android:layout_width="513dp"
        android:layout_height="62dp"
        android:layout_marginTop="200dp"
        android:backgroundTint="@color/colorPrimary"
        android:text="@string/btn_title"
        android:textAlignment="center"
        android:textColor="#FFFFFF"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.626" />

    <ProgressBar
        android:id="@+id/progressBar"
        style="?android:attr/progressBarStyle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/login_btn"
        android:visibility="invisible"
        app:layout_constraintVertical_bias="0.231" />

    <ImageView
        android:id="@+id/imageView"
        android:layout_width="679dp"
        android:layout_height="232dp"
        android:src="@drawable/utopia_svg_logo"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.504"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.105" />

    <TextView
        android:id="@+id/textView"
        android:layout_width="700dp"
        android:layout_height="60dp"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:text="@string/home_title"
        android:textAlignment="center"
        android:textColor="#000000"
        android:textSize="40sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/imageView"
        app:layout_constraintVertical_bias="0.079" />

    <TextView
        android:id="@+id/txt_version"
        android:layout_width="150dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="40dp"
        android:padding="10dp"
        android:gravity="right"
        android:textSize="20sp"
        android:textStyle="bold"
        android:textColor="@color/black"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>